import { IBaseProvider, IProvider, IWeb3AuthCoreOptions } from "@web3auth/base";
import { Web3AuthNoModal } from "@web3auth/no-modal";
import { LoginModal, UIConfig } from "@web3auth/ui";
import { AdaptersModalConfig, IWeb3AuthModal, ModalConfigParams } from "./interface";
export interface Web3AuthOptions extends IWeb3AuthCoreOptions {
    /**
     * Config for configuring modal ui display properties
     */
    uiConfig?: Omit<UIConfig, "adapterListener">;
    /**
     * Private key provider for your chain namespace
     */
    privateKeyProvider: IBaseProvider<string>;
}
export declare class Web3Auth extends Web3AuthNoModal implements IWeb3AuthModal {
    loginModal: LoginModal;
    readonly options: Web3AuthOptions;
    private modalConfig;
    constructor(options: Web3AuthOptions);
    setModalConfig(modalConfig: AdaptersModalConfig): void;
    initModal(params?: ModalConfigParams): Promise<void>;
    connect(): Promise<IProvider | null>;
    private initExternalWalletAdapters;
    private initializeInAppWallet;
    private subscribeToLoginModalEvents;
}
